Package org.eclipse.spi.net4j

# Class Channel.ReceiveSerializer

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.net4j.util.concurrent.Worker
org.eclipse.net4j.util.concurrent.QueueWorker<Runnable>
org.eclipse.net4j.util.concurrent.QueueRunner
org.eclipse.net4j.util.concurrent.QueueWorkerWorkSerializer
org.eclipse.spi.net4j.Channel.ReceiveSerializer

All Implemented Interfaces:
  `org.eclipse.net4j.util.concurrent.IWorkSerializer`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Enclosing class:
  `Channel`

@Deprecated protected class Channel.ReceiveSerializer extends org.eclipse.net4j.util.concurrent.QueueWorkerWorkSerializer
Deprecated.
As of 4.4 scheduled for future removal.

Since:
  4.1
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.concurrent.Worker

`org.eclipse.net4j.util.concurrent.Worker.Terminate, org.eclipse.net4j.util.concurrent.Worker.WorkContext`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`org.eclipse.net4j.util.event.Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

`DEFAULT_POLL_MILLIS`

### Fields inherited from class org.eclipse.net4j.util.concurrent.Worker

`DEFAULT_ERROR_HANDLER, DEFAULT_TIMEOUT`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ReceiveSerializer()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getThreadName()`
Deprecated.
`protected void`
`noWork(org.eclipse.net4j.util.concurrent.Worker.WorkContext context)`
Deprecated.

### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueWorkerWorkSerializer

`dispose`

### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueRunner

`work`

### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

`addWork, clearQueue, createQueue, doDeactivate, doRemainingWorkBeforeDeactivate, getPollMillis, setPollMillis, work`

### Methods inherited from class org.eclipse.net4j.util.concurrent.Worker

`doActivate, getActivationTimeout, getDeactivationTimeout, getGlobalErrorHandler, getWorkerThread, handleError, isDaemon, setActivationTimeout, setDaemon, setDeactivationTimeout, setGlobalErrorHandler`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.concurrent.IWorkSerializer

`addWork`

## Constructor Details

### ReceiveSerializer

protected ReceiveSerializer()
Deprecated.

## Method Details

### getThreadName

@Deprecated protected String getThreadName()
Deprecated.

Overrides:
  `getThreadName` in class `org.eclipse.net4j.util.concurrent.Worker`

### noWork

@Deprecated protected void noWork(org.eclipse.net4j.util.concurrent.Worker.WorkContext context)
Deprecated.

Overrides:
  `noWork` in class `org.eclipse.net4j.util.concurrent.QueueWorker<Runnable>`